[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# FreeAndNil

Free object if needed, and set object reference to Nil

## Declaration

Source position: sysutilh.inc line 290

`procedure FreeAndNil(`
`var obj`
`);`

## Description

FreeAndNil will free the object in Obj and will set the reference in Obj to Nil. The reference is set to Nil first, so if an exception occurs in the destructor of the object, the reference will be Nil anyway.

## Errors

Exceptions that occur during the destruction of Obj are not caught.

Documentation generated on: Feb 26 2014